com.microfocus.zos.model

## Enum ESpaceUnits

- java.lang.Object
- - java.lang.Enum<ESpaceUnits>
  - - com.microfocus.zos.model.ESpaceUnits

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ESpaceUnits>

      public enum ESpaceUnits
      extends java.lang.Enum<ESpaceUnits>

  Enumeration of z/OS space units
  Author:
    Ralf

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLK`
    `BYTES`
    `CYL`
    `KB`
    `MB`
    `RECORDS`
    `TRK`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()`
    `static ESpaceUnits` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ESpaceUnits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLK

          public static final ESpaceUnits BLK

    - #### TRK

          public static final ESpaceUnits TRK

    - #### CYL

          public static final ESpaceUnits CYL

    - #### KB

          public static final ESpaceUnits KB

    - #### MB

          public static final ESpaceUnits MB

    - #### BYTES

          public static final ESpaceUnits BYTES

    - #### RECORDS

          public static final ESpaceUnits RECORDS

    - #### UNKNOWN

          public static final ESpaceUnits UNKNOWN

  - ### Method Detail

    - #### values

          public static ESpaceUnits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ESpaceUnits c : ESpaceUnits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ESpaceUnits valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public java.lang.String getLiteral()

Copyright © 2015 Micro Focus GmbH. All rights reserved.